name: audio_rec
cmd:
  - start: |
      source_speech

      if [ -z ${alsa_device+x} ]; 
        then 
                echo "alsa_device not set. Defaulting sysdefault."
                export alsa_device="sysdefault"
        else 
                echo "Got alsa_device ${alsa_device}."
      fi

      roslaunch silero_vad audio_record.launch device:=${alsa_device}
  - check: |
      rosnode list | grep "/audio_capture"
tags:
  - speech
  - speech_rec
requires:
  - base_system
provides:
  - audio
wait: 2
host: ${laptop}
